This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### clientEvent()
Examples |
    import processing.net.*;

    Client myClient;
    int dataIn;

    void setup() {
      size(200, 200);
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() { }  // Empty draw keeps the program running

    // ClientEvent message is generated when the server
    // sends data to an existing client.
    void clientEvent(Client someClient) {
      print("Server Says:  ");
      dataIn = myClient.read();
      println(dataIn);
      background(dataIn);

    }
Description | This function is called when a server sends a byte to an existing Client object.
Syntax |
    void clientEvent(client) {
      statements
    }
Parameters |
statements | any valid statements
client | the client with new data
Related | Server

Updated on October 26, 2013 08:58:28pm PDT